Loading...
Searching...
No Matches
<tt>mkgeo_ball</tt>

unstructured mesh of an ellipsoid

## Synopsis

    mkgeo_ball [options] [n]

## Example

mkgeo_ball -t 10 | geo -

The previous command build a triangle based 2d unstructured mesh of the unit ball

## Description

This command is useful when testing programs on simple geometries. Invocation is similar to those of `mkgeo_grid` . It calls `gmsh` as unstructured mesh generator. It avoid the preparation of an input file for a mesh generator. The optional n argument is an integer that specifies the subdivision in each direction. By default n=10. The mesh files goes on standard output.

## The mesh order

`-order` int

> ‍ The polynomial approximation mesh order, for the curved boundary, as defined by `gmsh`. Default is order=1.

## Element type option

`-e`

> ‍ 1d mesh using edges.

`-t`

> ‍ 2d mesh using triangles.

`-q`

> ‍ 2d mesh using quadrangles (rectangles).

`-T`

> ‍ 3d mesh using tetrahedra.

`-P`

> ‍ 3d mesh using prisms.

`-H`

> ‍ 3d mesh using hexahedra.

`-tq`

> ‍ 2d mesh using both triangles and quadrangles.

`-TP`
`-PH`
`-TPH`

> ‍ 3d mixed mesh combining tetrahedra, prisms and/or hexahedra.

## The geometry

`-a` float
`-b` float
`-c` float
`-d` float
`-f` float
`-g` float

> ‍ The geometry can be ellipse/ellipsoid inscribed in the [a,b]x[c,d] rectangle or the [a,b]x[c,d]x[f,g] parallelepiped. By default a=c=f=-1 and b=d=g=1, thus, the unit balls are considered.

`-s`

> ‍ Only a surface mesh is generated: a curved line in 2d or a curved surface mesh in 3d. In 3d, supports both '-t' and '-q' options.

## Boundary domains

The meshes defines a domain named `boundary` that groups all boundary sides.

## Others options

`-[no]fix`

> ‍ By default, internal face and volume node from gmsh are recomputed, since they have incorrect coordinate that destroy the convergence properties of isoparametric high order elements (order >= 3). The `-nofix` option skip this correction: this option is available for test purpose.

`-[no]clean`

> ‍ Clear temporary files (this is the default).

`-[no]verbose`

> ‍ Print intermediate commands and information messages.

## Implementation

This documentation has been generated from file main/sbin/mkgeo_ball.sh